Method: organizations.locations.workloads.violations.get

Retrieves an Assured Workloads violation by its resource name.

HTTP request

GET https://{endpoint}/v1/{name=organizations/*/locations/*/workloads/*/violations/*}

Where {endpoint} is one of the supported service endpoints.

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the violation to retrieve (that is, the value of Violation.name).

Format: organizations/{organization}/locations/{location}/workloads/{workload}/violations/{violation}

Authorization requires the following IAM permission on the specified resource name:

  • assuredworkloads.violations.get

Query parameters

Parameters
view

enum (ViolationView)

Optional. The violation view (VIOLATION_VIEW_ASSURED_WORKLOADS or VIOLATION_VIEW_DATA_BOUNDARY) that the violation belongs to. If not specified, VIOLATION_VIEW_ASSURED_WORKLOADS is used.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Violation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/assuredworkloads
  • https://www.googleapis.com/auth/assuredworkloads.readonly
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • assuredworkloads.violations.get

For more information, see the IAM documentation.